<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/

if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$ip_client = get_ip();

if (isset($_GET["login"]))
{
	$vweb_security_login_code1 = $_GET['vweb_security_login_code1'];
	$vweb_security_login_code2 = $_GET['vweb_security_login_code2'];
	$vweb_security_login_code3 = $_GET['vweb_security_login_code3'];
	
	$tach_time = substr($vweb_security_login_code3, $vweb_security_login_code2 - $vweb_security_login_code1, 10);
	$time_load_form_login_chenh = time() - $tach_time;
	
	if($time_load_form_login_chenh > 30*60) {
		echo "<font size='2' color='red'>Thời gian đăng nhập quá lâu, vui lòng đăng nhập lại.</font>";
	} else {

		$accountid = $_GET['username_lg'];
		$passType = $_GET['passType_lg'];
		$passwordid = $_GET['password_lg'];
		
		kiemtra_chu_so($accountid,"Tài khoản");
		kiemtra_chu_so($passwordid,"Mật khẩu");
		
		{
			$getcontent_url = $server_url . "/view.php";
			$getcontent_data = array(
				'action'    =>  'login',
				'login'    =>  $accountid,
				'pass'    =>  md5($passwordid),
				'passType'    =>  $passType,
				'ip'    =>  $ip_client,

				'passtransfer'    =>  $passtransfer
			); 
			
			$show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if( empty($show_reponse) )
			{
				echo "<font size='2' color='red'>Server đang bảo trì</font>";
			}
			else if($show_reponse == 'PASSRAN_KGCO') {
				echo "<font size='2' color='red'><b>Danh sách mã ưu tiên chưa khởi tạo hoặc đã sử dụng hết</b></font>.<br>Tài khoản của bạn đang ở chế độ <b>sử dụng mật khẩu cấp 2, để tăng độ bảo mật</b>.<br>Vui lòng <b>dùng SĐT của tài khoản <font color='red'>$accountid</font></b> Soạn tin nhắn: <font color='blue'><b>$madv&nbsp;&nbsp;&nbsp;$cuphap&nbsp;&nbsp;&nbsp;PR&nbsp;&nbsp;&nbsp;TênAccCủaBạn</b></font>&nbsp;&nbsp;&nbsp;gửi&nbsp;&nbsp;&nbsp;<font color='blue'><b>$tdsms</b></font></span> <font color='gray'><i>(Phí nhắn tin : $giavnd đ/1sms)</i></font>.";
			}
			else if($show_reponse == 'PASSRAN_SAI') {
				echo "<font size='2' color='red'><b>Mật khẩu không đúng</b></font>.<br>Tài khoản của bạn đang ở chế độ <b>sử dụng mật khẩu ngẫu nhiên để tăng độ bảo mật</b>.<br>Nếu bạn quên danh sách mật khẩu ngẫu nhiên đã nhận, vui lòng <b>dùng SĐT của tài khoản <font color='red'>$accountid</font></b> nhắn tin với cú pháp bên dưới để lấy danh sách mật khẩu ngẫu nhiên mới.<br> <font color='blue'><b>$madv&nbsp;&nbsp;&nbsp;$cuphap&nbsp;&nbsp;&nbsp;PR&nbsp;&nbsp;&nbsp;TênAccCủaBạn</b></font>&nbsp;&nbsp;&nbsp;gửi&nbsp;&nbsp;&nbsp;<font color='blue'><b>$tdsms</b></font></span> <font color='gray'><i>(Phí nhắn tin : $giavnd đ/1sms)</i></font>.<br>
	Các Mật khẩu cũ chưa sử dụng thì sẽ bị xóa hết để bảo mật.";
			}
			else {
				$info = read_TagName($show_reponse, 'info', 1);
				if ($info == 'OK') {
					$_SESSION['mu_username'] = $accountid;
					$_SESSION['checklogin'] = read_TagName($show_reponse, 'stringlogin', 1);
					
					$accthehe = abs(intval(read_TagName($show_reponse, 'thehe', 1)));
					if ($accthehe == 0) $accthehe = 1;
					$_SESSION['acc_thehe'] = $accthehe;
					$_SESSION['thehe'] = $accthehe;
					
					$_SESSION['acc_gcoin'] = read_TagName($show_reponse, 'gcoin', 1);
					$_SESSION['acc_gcoin_km'] = read_TagName($show_reponse, 'gcoinkm', 1);
					$_SESSION['acc_vpoint'] = read_TagName($show_reponse, 'vpoint', 1);
					$_SESSION['acc_zen'] = read_TagName($show_reponse, 'zen', 1);
					$_SESSION['acc_heart'] = read_TagName($show_reponse, 'heart', 1);
					$_SESSION['acc_hhht'] = read_TagName($show_reponse, 'hhht', 1);
					$_SESSION['acc_chao'] = read_TagName($show_reponse, 'chao', 1);
					$_SESSION['acc_cre'] = read_TagName($show_reponse, 'create', 1);
					$_SESSION['acc_blue'] = read_TagName($show_reponse, 'blue', 1);
					$_SESSION['acc_phone'] = read_TagName($show_reponse, 'phone', 1);
					$_SESSION['acc_passran'] = read_TagName($show_reponse, 'passran', 1);
					$_SESSION['IPBonusPoint'] = read_TagName($show_reponse, 'IPBonusPoint', 1);
					$ipbonus_info = read_TagName($show_reponse, 'ipbonus_info', 1);
					
					$nv_slg = 0;
					for($i=1;$i<=5;$i++)
					{
						if(strlen(read_TagName($show_reponse, 'char'.$i, 1))>=4)
						{
							$nv_slg++;
							$_SESSION['char'.$nv_slg] = read_TagName($show_reponse, 'char'.$i, 1);
						}
					}
					$_SESSION['nv_slg'] = $nv_slg;
					$_SESSION['acc_vip'] = read_TagName($show_reponse, 'acc_vip', 1);
					$_SESSION['timevip'] = read_TagName($show_reponse, 'timevip', 1);
					$_SESSION['VWEB_LanQuayItem'] = read_TagName($show_reponse, 'VWEB_LanQuayItem', 1);
					$_SESSION['acc_warehouse_safe_slot'] = read_TagName($show_reponse, 'vweb_warehouse_safe_slot', 1);
					$_SESSION['acc_warehouse_safe_item'] = read_TagName($show_reponse, 'vweb_warehouse_safe_item', 1);
					$_SESSION['acc_jbkhoa'] = read_TagName($show_reponse, 'jbkhoa', 1);
					$_SESSION['acc_ppo'] = read_TagName($show_reponse, 'ppo', 1);
					$_SESSION['acc_wcoin'] = read_TagName($show_reponse, 'wcoin', 1);
					$_SESSION['acc_vipmoney'] = read_TagName($show_reponse, 'vipmoney', 1);
					$_SESSION['total_online'] = read_TagName($show_reponse, 'total_online', 1);
					$_SESSION['tongthenap'] = read_TagName($show_reponse, 'tongthenap', 1);
					$_SESSION['diemdanh'] = read_TagName($show_reponse, 'diemdanh', 1);
					
					echo "<vweb>".$info."<vweb>";
				}
				else { 
					echo "<font size='2' color='red'>$show_reponse</font>"; 
				}
			}
		}
	}
}
?>